package com.ysnows.base.route

import com.billy.cc.core.component.CCResult
import com.ysnows.base.ccretrofit.IRoute
import com.ysnows.base.ccretrofit.annotation.Param
import com.ysnows.base.model.PositionBean
import io.reactivex.Observable

/**
 *Created by shihuiyun
 *on 2020/9/11
 */
interface  IGaode : IRoute {

    fun selectLocation(@Param("city") city: String,@Param("address") address: String): Observable<CCResult>

    fun goRouteLocation(@Param("item") item: PositionBean): Observable<CCResult>

    fun goPolyline(@Param("item") item: ArrayList<PositionBean>): Observable<CCResult>


    fun currentLocation(): Observable<CCResult>


    fun setNotification(): Observable<CCResult>

    fun initLocationSdk(): Observable<CCResult>

    fun loacationStart(@Param("shippingNoteNumber") shippingNoteNumber: String,
                       @Param("startCountrySubdivisionCode") startCountrySubdivisionCode: String,
                       @Param("endCountrySubdivisionCode") endCountrySubdivisionCode: String): Observable<CCResult>
    fun loacationStop(@Param("shippingNoteNumber") shippingNoteNumber: String,
                      @Param("startCountrySubdivisionCode") startCountrySubdivisionCode: String,
                      @Param("endCountrySubdivisionCode") endCountrySubdivisionCode: String): Observable<CCResult>

}
